package com.unissoft.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.model.MCompanyManagement;
import com.unissoft.result.PageParam;
import com.unissoft.result.ResultView;
import com.unissoft.service.MCompanyManagementService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author root
 * @since 2021-01-28
 */
@Api(description = "管理公司委托，租仓控制类")
@RestController
@RequestMapping("/companyManagement")
public class MCompanyManagementController {

    @Autowired
    private MCompanyManagementService managementService;

    @ApiOperation(value = "分页条件查询", notes = "mType =0表示委托，1表示租仓（必传参数）{\n" +
            "  \"condition\": \"{'mType':'0'}\",\n" +
            "  \"pageIndex\": 1,\n" +
            "  \"pageSize\": 10\n" +
            "}")
    @PostMapping("/authority/getPage")
    public ResultView getPage(@RequestBody PageParam pageParam) {
        IPage<MCompanyManagement> page = managementService.getPage(pageParam);
        return ResultView.success(page);
    }

    @ApiOperation(value = "根据id查询", notes = "")
    @GetMapping("/authority/getById")
    public ResultView getById(@RequestParam int id) {
        MCompanyManagement model = managementService.getById(id);
        return ResultView.success(model);
    }

    @ApiOperation(value = "新增", notes = "")
    @PostMapping("/authority_button/add")
    public ResultView add(@RequestBody MCompanyManagement model) {
        managementService.saveGrain(model);
        return ResultView.success(model);
    }

    @ApiOperation(value = "修改", notes = "")
    @PostMapping("/authority_button/update")
    public ResultView update(@RequestBody MCompanyManagement model) {
        managementService.updateRole(model);
        return ResultView.success(model);
    }

    @ApiOperation(value = "根据id删除", notes = "")
    @DeleteMapping("/authority_button/deleteById")
    public ResultView deleteById(@RequestParam Integer id) {
        managementService.deleteById(id);
        return ResultView.success();
    }

    @ApiOperation(value = "查询所有公司MAP", notes = "")
    @GetMapping("/authority/getAll")
    public ResultView getAll(@RequestParam(required = false) Integer depotId) {
        Map<Integer, String> all = managementService.getAll(depotId);
        return ResultView.success(all);
    }
}
