package com.unissoft.controller;


import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.model.MEntrustRentingGrain;
import com.unissoft.result.PageParam;
import com.unissoft.result.ResultView;
import com.unissoft.service.MEntrustRentingGrainService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

/**
 * <p>
 * 托管，租仓粮情 前端控制器
 * </p>
 *
 * @author root
 * @since 2021-01-27
 */
@Api(description = "粮情检查委托，租仓控制类")
@RestController
@RequestMapping("/entrustRentingGrain")
public class MEntrustRentingGrainController {

    @Autowired
    private MEntrustRentingGrainService rentingGrainService;

    @ApiOperation(value = "分页条件查询", notes = "mType =0表示委托，1表示租仓（必传参数）；depotId库点编码，warehouseId仓房编码；statTime开始时间，endTime结束时间 {\n" +
            "  \"condition\": \"{'mType':'0','depotId':'','companyId':''，'statTime':'','endTime':''}\",\n" +
            "  \"pageIndex\": 1,\n" +
            "  \"pageSize\": 10\n" +
            "}")
    @PostMapping("/authority/getPage")
    public ResultView getPage(@RequestBody PageParam pageParam) {
        IPage<MEntrustRentingGrain> page = rentingGrainService.getPage(pageParam);
        return ResultView.success(page);
    }

    @ApiOperation(value = "根据id查询", notes = "")
    @GetMapping("/authority/getById")
    public ResultView getById(@RequestParam int id) {
        MEntrustRentingGrain model = rentingGrainService.getById(id);
        return ResultView.success(model);
    }

    @ApiOperation(value = "新增", notes = "")
    @PostMapping("/authority_button/add")
    public ResultView add(@RequestBody MEntrustRentingGrain model) {
        rentingGrainService.saveGrain(model);
        return ResultView.success(model);
    }

    @ApiOperation(value = "修改", notes = "")
    @PostMapping("/authority_button/update")
    public ResultView update(@RequestBody MEntrustRentingGrain model) {
        rentingGrainService.updateRole(model);
        return ResultView.success(model);
    }

    @ApiOperation(value = "根据id删除", notes = "")
    @DeleteMapping("/authority_button/deleteById")
    public ResultView deleteById(@RequestParam Integer id) {
        rentingGrainService.deleteById(id);
        return ResultView.success();
    }
}
