package com.unissoft.controller;


import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.unissoft.model.SysDepartment;
import com.unissoft.result.PageParam;
import com.unissoft.result.ResultView;
import com.unissoft.service.SysDepartmentService;
import io.swagger.annotations.Api;
import io.swagger.annotations.ApiOperation;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.web.bind.annotation.*;

import java.util.ArrayList;
import java.util.Date;
import java.util.HashMap;
import java.util.Map;

/**
 * <p>
 *  前端控制器
 * </p>
 *
 * @author root
 * @since 2020-12-04
 */
@Api(description = "部门控制器")
@RestController
@RequestMapping("/sysDepartment")
public class SysDepartmentController {

    @Autowired
    private SysDepartmentService departmentService;

    @ApiOperation(value = "获取所有部门信息下拉选")
    @PostMapping("/authority/getAll")
    public ResultView getAll() {
        ArrayList<HashMap<String, String>> departmentAll = departmentService.getDepartmentAll();
        return ResultView.success(departmentAll);
    }

    @ApiOperation(value = "分页条件查询", notes = "提交参数：{\"pageIndex\":1,\"pageSize\":10,\"condition\":\"{}\"}")
    @PostMapping("/authority/getPage")
    public ResultView getPage(@RequestBody PageParam pageParam) {
        Page<SysDepartment> page = departmentService.getPage(pageParam);
        return ResultView.success(page);
    }

    @ApiOperation(value = "根据id查询", notes = "")
    @GetMapping("/authority/getById/{id}")
    public ResultView getById(@PathVariable int id) {
        SysDepartment model = departmentService.getById(id);
        return ResultView.success(model);
    }

    @ApiOperation(value = "新增", notes = "")
    @PostMapping("/authority_button/add")
    public ResultView add(@RequestBody SysDepartment model) {
        Date date = new Date();
        model.setCreateTime(date);
        departmentService.save(model);
        return ResultView.success(model);
    }

    @ApiOperation(value = "修改", notes = "")
    @PostMapping("/authority_button/update")
    public ResultView update(@RequestBody SysDepartment model) {
        Date date = new Date();
        model.setCreateTime(date);
        departmentService.updateById(model);
        return ResultView.success(model);
    }

    @ApiOperation(value = "根据id删除", notes = "")
    @DeleteMapping("/authority_button/deleteById")
    public ResultView deleteById(@RequestParam int id) {
        departmentService.removeById(id);
        return ResultView.success();
    }

    @ApiOperation(value = "查询所有部门信息MAP", notes = "")
    @GetMapping("/authority/getAllMAP")
    public ResultView getAllMAP() {
        Map<Integer, String> all = departmentService.getAllMAP();
        return ResultView.success(all);
    }

    @ApiOperation(value = "查看该部门名字是否重复,返回0证明该部门名不存在，1代表已经存在部门名称", notes = "")
    @GetMapping("/authority/getByDepName/{depName}")
    public ResultView getByDepName(@PathVariable String depName) {
        Integer number = departmentService.getByDepName(depName);
        return ResultView.success(number);
    }
}
