package com.unissoft.feign;

import com.unissoft.MyConstant;
import com.unissoft.result.ResultView;
import org.springframework.cloud.openfeign.FeignClient;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestParam;

import java.util.Map;

/**
 * feign调用wsm-oauth服务
 */
@FeignClient(value = MyConstant.CSC_SZLS_OAUTH, fallback = OauthHystrix.class)
public interface OauthFeign {

    /**
     * 清除token（注销登录）
     *
     * @return
     */
    @GetMapping("/user/logout")
    ResultView logout(@RequestParam("token") String token);

}
