package com.unissoft.feign;

import com.unissoft.MyConstant;
import com.unissoft.result.ResultView;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;
import org.springframework.stereotype.Component;
import org.springframework.util.MultiValueMap;

import java.util.Map;

/**
 * wsm-oauth服务的熔断器
 */
@Component
public class OauthHystrix implements OauthFeign {

    private final Logger logger = LoggerFactory.getLogger(OauthHystrix.class);

    @Override
    public ResultView logout(String token) {
        logger.error("调用csc-szls-oauth服务logout方法失败!");
        return ResultView.hystrixError(MyConstant.CSC_SZLS_OAUTH);
    }
}
