package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.model.BasicsDepot;
import com.unissoft.model.BasicsDepotAL;
import com.unissoft.model.BasicsDepotPO;
import org.apache.ibatis.annotations.Param;

import java.util.List;

/**
 * <p>
 * Mapper 接口
 * </p>
 *
 * @author root
 * @since 2020-12-03
 */
public interface BasicsDepotMapper extends BaseMapper<BasicsDepot> {

    IPage<BasicsDepot> getPage(IPage<BasicsDepot> page, @Param("parentId") String parentId, @Param("pBelonging") String pBelonging);

    List<BasicsDepotPO> getAllC(@Param("depotId") Integer depotId);

    /**
     * 查询所有粮库经纬度
     * 分公司 返回所有,市级 返回 直属库+分库 或 分库 ,分库返回 分库条件p_belonging=1 (是否属于分库,0否,1是)
     *
     * @param homeType 区分人员(1.分公司领导首页 2.库主任及以上领导首页 3.员工首页)
     * @param depotId  库id
     * @return
     */
    List<BasicsDepotAL> getAllLONAndLAT(@Param("homeType") Integer homeType, @Param("depotId") Integer depotId);

}
