package com.unissoft.mapper;

import com.baomidou.mybatisplus.core.mapper.BaseMapper;
import com.baomidou.mybatisplus.core.metadata.IPage;
import com.unissoft.model.SysUser;
import com.unissoft.model.SysUserDTO;
import com.unissoft.model.SysUserPO;
import org.apache.ibatis.annotations.Param;
import org.springframework.stereotype.Repository;

import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户表 Mapper 接口
 * </p>
 *
 * @author wsm
 * @since 2020-11-25
 */
@Repository
public interface SysUserMapper extends BaseMapper<SysUser> {

    IPage<SysUserPO> getPage(IPage<SysUserPO> page, @Param("depotId") String depotId, @Param("roleId") String roleId, @Param("uName") String uName, @Param("personnelName") String personnelName);

    SysUserPO getByUserId(@Param("id") Integer id);

    SysUserPO getByUserNameAndPassword(@Param("userName") String userName, @Param("password") String password);

    List<SysUser> getByDepotIds(@Param("dpotIds") String[] dpotIds);

    List<SysUser> getByRoleIds(@Param("depotId") Integer depotId, @Param("roleIds") String[] roleIds);

    List<SysUser> getByRoleIdsAndDepotId(@Param("roleIds") String[] roleIds, @Param("depotId") Integer depotId);

    Map getByUserIdCF(@Param("userId") Integer userId);

    List<SysUserDTO> getByUserAll();
}
