package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import com.google.common.collect.Lists;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;
import java.util.List;

/**
 * <p>
 *
 * </p>
 *
 * @author root
 * @since 2020-12-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basics_depot")
@ApiModel(value = "BasicsDepot对象", description = "分公司与库信息")
public class BasicsDepot implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "库房表id")
    @TableId(value = "d_id", type = IdType.AUTO)
    private Integer dId;

    @ApiModelProperty(value = "库点名称")
    @TableField("d_name")
    private String dName;

    @ApiModelProperty(value = "父id")
    @TableField("parent_id")
    private Integer parentId;

    @ApiModelProperty(value = "父名称")
    @TableField(exist = false)
    private String parentName;

    @ApiModelProperty(value = "是否属于分库，0否，1是")
    @TableField("p_belonging")
    private Integer pBelonging;

    @ApiModelProperty(value = "图片地址")
    @TableField("p_portrait")
    private String pPortrait;

    @ApiModelProperty(value = "平面图地址")
    @TableField("plane_chart")
    private String planeChart;

    @ApiModelProperty(value = "企业介绍")
    @TableField("enterprise_introduction")
    private String enterpriseIntroduction;

    @ApiModelProperty(value = "层级")
    @TableField("d_hierarchy")
    private Integer dHierarchy;

    @ApiModelProperty(value = "描述")
    @TableField("d_remark")
    private String dRemark;

    @ApiModelProperty(value = "创建人")
    @TableField("create_people")
    private String createPeople;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "库级别，1代表分库")
    @TableField("library_level")
    private Integer libraryLevel;

    @ApiModelProperty(value = "行政区域编码(市)")
    @TableField("city_code")
    private String cityCode;

    @ApiModelProperty(value = "行政区域编码(省)")
    @TableField("province_code")
    private String provinceCode;

    @ApiModelProperty(value = "行政区域编码(区/县)")
    @TableField("area_code")
    private String areaCode;

    @TableField(exist = false)
    private List<BasicsDepotExtend> depotExtends = Lists.newArrayList();

}
