package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author root
 * @since 2020-12-03
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("basics_warehouse")
@ApiModel(value="BasicsWarehouse对象", description="仓房实体")
public class BasicsWarehouse implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "仓房id")
    @TableId(value = "h_id", type = IdType.AUTO)
    private Integer hId;

    @ApiModelProperty(value = "仓房序号")
    @TableField("h_order")
    private Integer hOrder;

    @ApiModelProperty(value = "仓房名称")
    @TableField("h_name")
    private String hName;

    @ApiModelProperty(value = "粮食品种")
    @TableField("grain_varieties")
    private Integer grainVarieties;

    @ApiModelProperty(value = "储粮状态")
    @TableField("storage_status")
    private Integer storageStatus;

    @ApiModelProperty(value = "仓房状态")
    @TableField("warehouse_status")
    private Integer warehouseStatus;

    @ApiModelProperty(value = "所属公司")
    @TableField("company_id")
    private Integer companyId;

    @ApiModelProperty(value = "所属库")
    @TableField("depot_id")
    private Integer depotId;

    @ApiModelProperty(value = "创建人")
    @TableField("create_people")
    private String createPeople;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "仓库坐标")
    @TableField("coordinate")
    private String coordinate;

    @ApiModelProperty(value = "数量")
    @TableField(exist = false)
    private String count;

    @ApiModelProperty(value = "百分率")
    @TableField(exist = false)
    private String percent;

}
