package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 
 * </p>
 *
 * @author root
 * @since 2021-01-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("m_company_management")
@ApiModel(value="MCompanyManagement对象", description="")
public class MCompanyManagement implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "企业名称")
    @TableField("enterprise_name")
    private String enterpriseName;

    @ApiModelProperty(value = "0表示委托，1表示租仓")
    @TableField("m_type")
    private Integer mType;

    @ApiModelProperty(value = "库id")
    @TableField("depot_id")
    private Integer depotId;

    @ApiModelProperty(value = "库点名称")
    @TableField("depot_name")
    private String depotName;

    @ApiModelProperty(value = "企业性质")
    @TableField("nature_enterprise")
    private String natureEnterprise;

    @ApiModelProperty(value = "设施设备")
    @TableField("facilities_equipment")
    private String facilitiesEquipment;

    @ApiModelProperty(value = "承储粮食")
    @TableField("grain_storage")
    private String grainStorage;

    @ApiModelProperty(value = "人员配备")
    @TableField("per_staffing")
    private String perStaffing;

    @ApiModelProperty(value = "驻库人员id")
    @TableField("resident_personnel_id")
    private Integer residentPersonnelId;

    @ApiModelProperty(value = "驻库人员名字")
    @TableField("resident_personnel_name")
    private String residentPersonnelName;

    @ApiModelProperty(value = "平面图地址")
    @TableField("plane_chart")
    private String planeChart;

    @ApiModelProperty(value = "企业简介")
    @TableField("d_remark")
    private String dRemark;

    @ApiModelProperty(value = "创建时间")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm",timezone="GMT+8")
    @TableField("update_time")
    private Date updateTime;

    @ApiModelProperty(value = "三证齐全(0是，1否)")
    @TableField("three_certifi_comp")
    private Integer threeCertifiComp;

    @ApiModelProperty(value = "土地使用证(0是，1否)")
    @TableField("land_certificate")
    private Integer landCertificate;

    @ApiModelProperty(value = "信用报告(0是，1否)企业资质")
    @TableField("credit_report")
    private Integer creditReport;

    @ApiModelProperty(value = "仓租单位备案证(0是，1否)")
    @TableField("warehouse_unit")
    private Integer warehouseUnit;

    @ApiModelProperty(value = "消防验收报告(0是，1否)")
    @TableField("fire_report")
    private Integer fireReport;

    @ApiModelProperty(value = "租赁合同(0是，1否)")
    @TableField("lease_contract")
    private Integer leaseContract;

    @ApiModelProperty(value = "粮情确认书、公证书(0是，1否)")
    @TableField("notarization_situation")
    private Integer notarizationSituation;

    @ApiModelProperty(value = "信用报告(0是，1否)风险防控")
    @TableField("credit_report2")
    private Integer creditReport2;

    @ApiModelProperty(value = "动产抵押(0是，1否)")
    @TableField("chattel_mortgage")
    private Integer chattelMortgage;

    @ApiModelProperty(value = "承诺书、授权委托书：(0是，1否)")
    @TableField("commitment_book")
    private Integer commitmentBook;

    @ApiModelProperty(value = "备用1")
    @TableField("m_spare")
    private String mSpare;

    @ApiModelProperty(value = "备用2")
    @TableField("m_spare2")
    private String mSpare2;


}
