package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 托管，租仓粮情
 * </p>
 *
 * @author root
 * @since 2021-01-27
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("m_entrust_renting_grain")
@ApiModel(value="MEntrustRentingGrain对象", description="托管，租仓粮情")
public class MEntrustRentingGrain implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "0表示委托，1表示租仓)")
    @TableField("m_type")
    private Integer mType;

    @ApiModelProperty(value = "库id")
    @TableField("depot_id")
    private Integer depotId;

    @TableField("depot_name")
    private String depotName;

    @ApiModelProperty(value = "所属公司id")
    @TableField("company_id")
    private Integer companyId;

    @ApiModelProperty(value = "所属公司名称")
    @TableField("company_name")
    private String companyName;

    @ApiModelProperty(value = "检测类型")
    @TableField("m_check_type")
    private String mCheckType;

    @ApiModelProperty(value = "状态 0进行中，1已完成")
    @TableField("m_state")
    private Integer mState;

    @ApiModelProperty(value = "有无异常(0绿色，1黄色)")
    @TableField("is_exception")
    private Integer isException;

    @ApiModelProperty(value = "异常项")
    @TableField("m_exception")
    private String mException;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm",timezone="GMT+8")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "打印粮温检测结果 (0是，1否)")
    @TableField("print_grain_results")
    private Integer printGrainResults;

    @ApiModelProperty(value = "开灯(0是，1否)")
    @TableField("on_light")
    private Integer onLight;

    @ApiModelProperty(value = "双人进仓(0是，1否)")
    @TableField("double_entry")
    private Integer doubleEntry;

    @ApiModelProperty(value = "气体浓度是否达标（氧气、磷化氢）(0是，1否)")
    @TableField("gas_concentration")
    private Integer gasConcentration;

    @ApiModelProperty(value = "照明灯是否正常  (0是，1否)")
    @TableField("m_floodlight")
    private Integer mFloodlight;

    @ApiModelProperty(value = " 色泽、气味是否正常  (0是，1否)")
    @TableField("color_smell")
    private Integer colorSmell;

    @ApiModelProperty(value = "虫害异常    (0是，1否)")
    @TableField("m_insect")
    private Integer mInsect;

    @ApiModelProperty(value = "水分检测是否正常   (0是，1否)")
    @TableField("water_content")
    private Integer waterContent;

    @ApiModelProperty(value = "异常粮情(0是，1否)")
    @TableField("grain_condition")
    private Integer grainCondition;

    @ApiModelProperty(value = "锁门(0是，1否)")
    @TableField("lock_door")
    private Integer lockDoor;

    @ApiModelProperty(value = "(0是，1否)")
    @TableField("off_light")
    private Integer offLight;

    @ApiModelProperty(value = "粮情作业簿填写 (0是，1否)")
    @TableField("grain_work")
    private Integer grainWork;

    @ApiModelProperty(value = "保管日志填写  (0是，1否)")
    @TableField("keep_log")
    private Integer keepLog;

    @ApiModelProperty(value = "粮情分析会 (0是，1否)")
    @TableField("grain_analysi")
    private Integer grainAnalysi;

    @ApiModelProperty(value = "备用1")
    @TableField("m_spare")
    private Integer mSpare;

    @ApiModelProperty(value = "备用2")
    @TableField("m_spare2")
    private Integer mSpare2;

    @ApiModelProperty(value = "备用3")
    @TableField("m_spare3")
    private Integer mSpare3;


}
