package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 安全巡查表(委托,租仓)
 * </p>
 *
 * @author root
 * @since 2021-01-28
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("m_safety_inspection")
@ApiModel(value="MSafetyInspection对象", description="安全巡查表(委托,租仓)")
public class MSafetyInspection implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "0表示委托，1表示租仓")
    @TableField("m_type")
    private Integer mType;

    @ApiModelProperty(value = "类型（列表）")
    @TableField("s_type")
    private String sType;

    @ApiModelProperty(value = "库id")
    @TableField("depot_id")
    private Integer depotId;

    @ApiModelProperty(value = "库名称")
    @TableField("depot_name")
    private String depotName;

    @ApiModelProperty(value = "所属公司id")
    @TableField("company_id")
    private Integer companyId;

    @ApiModelProperty(value = "所属公司名称")
    @TableField("company_name")
    private String companyName;

    @ApiModelProperty(value = "状态 0进行中，1已完成")
    @TableField("m_state")
    private Integer mState;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm",timezone="GMT+8")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "专职安全员(0是，1否)")
    @TableField("safety_officer")
    private Integer safetyOfficer;

    @ApiModelProperty(value = "安全员档案资料齐全(0是，1否)")
    @TableField("safety_archive")
    private Integer safetyArchive;

    @ApiModelProperty(value = "每天巡检1次(0是，1否)")
    @TableField("daily_inspection")
    private Integer dailyInspection;

    @ApiModelProperty(value = "每天在线监测巡查1次(0是，1否)")
    @TableField("daily_online_monitoring")
    private Integer dailyOnlineMonitoring;

    @ApiModelProperty(value = "发现问题(0是，1否)")
    @TableField("discover_problem")
    private Integer discoverProblem;

    @ApiModelProperty(value = "填写报告单(0是，1否)")
    @TableField("fill_report")
    private Integer fillReport;

    @ApiModelProperty(value = "问题消除(0是，1否)")
    @TableField("problem_elimination")
    private Integer problemElimination;

    @ApiModelProperty(value = "登记台帐(0是，1否)")
    @TableField("register_account")
    private Integer registerAccount;

    @ApiModelProperty(value = "备用1")
    @TableField("m_spare")
    private Integer mSpare;

    @ApiModelProperty(value = "备用2")
    @TableField("m_spare2")
    private Integer mSpare2;

    @ApiModelProperty(value = "备用3")
    @TableField("m_spare3")
    private Integer mSpare3;


}
