package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.IdType;
import com.baomidou.mybatisplus.annotation.TableField;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableName;
import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;
import java.util.Date;

/**
 * <p>
 * 系统日志
 * </p>
 *
 * @author root
 * @since 2021-01-21
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_log")
@ApiModel(value="SysLog对象", description="系统日志")
public class SysLog implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "id", type = IdType.AUTO)
    private Integer id;

    @ApiModelProperty(value = "库点id")
    @TableField("depot_id")
    private Integer depotId;

    @ApiModelProperty(value = "请求url")
    @TableField("request_url")
    private String requestUrl;

    @ApiModelProperty(value = "请求body")
    @TableField("request_body")
    private String requestBody;

    @ApiModelProperty(value = "响应body")
    @TableField("response_body")
    private String responseBody;

    @ApiModelProperty(value = "请求id")
    @TableField("request_id")
    private String requestId;

    @ApiModelProperty(value = "请求方法（操作动作）")
    @TableField("request_method")
    private String requestMethod;

    @ApiModelProperty(value = "登录账户")
    @TableField("user_name")
    private String userName;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape= JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "请求动作（操作模块）")
    @TableField("request_action")
    private String requestAction;

    @ApiModelProperty(value = "主机ip")
    @TableField("host_ip")
    private String hostIp;

    @ApiModelProperty(value = "日志级别")
    @TableField("l_level")
    private String lLevel;


}
