package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 *
 * </p>
 *
 * @author root
 * @since 2020-12-05
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_personnel")
@ApiModel(value="SysPersonnel对象", description="")
public class SysPersonnel implements Serializable {

    private static final long serialVersionUID = 1L;

    @ApiModelProperty(value = "人员ID")
    @TableId(value = "p_id", type = IdType.AUTO)
    private Integer pId;

    @ApiModelProperty(value = "人员名称")
    @TableField("u_name")
    private String uName;

    @ApiModelProperty(value = "性别(0男，1女)")
    @TableField("u_sex")
    private String uSex;

    @ApiModelProperty(value = "生日（出生年月）")
    @TableField("u_birthday")
    private Date uBirthday;

    @ApiModelProperty(value = "邮箱")
    @TableField("u_mail")
    private String uMail;

    @ApiModelProperty(value = "电话")
    @TableField("u_phone")
    private String uPhone;

    @ApiModelProperty(value = "用户状态（1：正常，2：异常，3：禁用）")
    @TableField("u_status")
    private Integer uStatus;

    @ApiModelProperty(value = "所属部门id")
    @TableField("department_id")
    private Integer departmentId;

    @ApiModelProperty(value = "所属部门名称")
    @TableField("department_name")
    private String departmentName;

    @ApiModelProperty(value = "工作年限")
    @TableField("p_work_years")
    private Integer pWorkYears;

    @ApiModelProperty(value = "岗位（职务）")
    @TableField("p_post")
    private String pPost;

    @ApiModelProperty(value = "政治面貌")
    @TableField("p_political_outlook")
    private String pPoliticalOutlook;

    @ApiModelProperty(value = "入党时间")
    @TableField("p_party_time")
    private Date pPartyTime;

    @ApiModelProperty(value = "所属科室")
    @TableField("p_department")
    private String pDepartment;

    @ApiModelProperty(value = "头像地址")
    @TableField("p_head_portrait")
    private String pHeadPortrait;

    @ApiModelProperty(value = "第一学历（教育学历）")
    @TableField("p_first_degree")
    private String pFirstDegree;

    @ApiModelProperty(value = "毕业院校")
    @TableField("p_university_graduated")
    private String pUniversityGraduated;

    @ApiModelProperty(value = "专业")
    @TableField("p_major")
    private String pMajor;

    @ApiModelProperty(value = "教育形式")
    @TableField("p_form_education")
    private String pFormEducation;

    @ApiModelProperty(value = "学位")
    @TableField("p_academic_degree")
    private String pAcademicDegree;

    @ApiModelProperty(value = "最高学历")
    @TableField("p_highest_education")
    private String pHighestEducation;

    @ApiModelProperty(value = "毕业院校2")
    @TableField("p_university_graduated_two")
    private String pUniversityGraduatedTwo;

    @ApiModelProperty(value = "专业2")
    @TableField("p_major_two")
    private String pMajorTwo;

    @ApiModelProperty(value = "教育形式2")
    @TableField("p_form_education_two")
    private String pFormEducationTwo;

    @ApiModelProperty(value = "学位2")
    @TableField("p_academic_degree_two")
    private String pAcademicDegreeTwo;

    @ApiModelProperty(value = "专业3(专业证书)")
    @TableField("p_major_three")
    private String pMajorThree;

    @ApiModelProperty(value = "等级")
    @TableField("p_grade")
    private String pGrade;

    @ApiModelProperty(value = "领证机构")
    @TableField("p_licensing_agency")
    private String pLicensingAgency;

    public String getpLicensingTime() {
        return pLicensingTime;
    }

    public void setpLicensingTime(String pLicensingTime) {
        this.pLicensingTime = pLicensingTime;
    }

    @ApiModelProperty(value = "领证年月")
    @TableField("p_licensing_time")
    private String pLicensingTime;


    @ApiModelProperty(value = "证书附件地址")
    @TableField("p_certificate_address")
    private String pCertificateAddress;

    @ApiModelProperty(value = "所属库id")
    @TableField("depot_id")
    private Integer depotId;

    @ApiModelProperty(value = "所属库名称")
    @TableField("depot_name")
    private String depotName;

    @ApiModelProperty(value = "仓房id，多个使用‘,’号隔开")
    @TableField("storehouse_ids")
    private String storehouseIds;

    @ApiModelProperty(value = "仓房名称多个使用逗号‘,’隔开")
    @TableField("storehouse_names")
    private String storehouseNames;

    @ApiModelProperty(value = "所属公司id")
    @TableField("company_id")
    private Integer companyId;

    @ApiModelProperty(value = "所属公司名称")
    @TableField("company_name")
    private String companyName;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("create_time")
    private Date createTime;

    @ApiModelProperty(value = "创建人")
    @TableField("create_people")
    private String createPeople;

    @ApiModelProperty(value = "备用字段1(当前用于表示是否为库外管理人员1代表是库外保管人员)")
    @TableField("alternate_fields_one")
    private String alternateFieldsOne;

    @ApiModelProperty(value = "备用字段2(Android用户登录存储唯一设备码)")
    @TableField("alternate_fields_two")
    private String alternateFieldsTwo;


    public Integer getuStatus() {
        return uStatus;
    }

    public void setuStatus(Integer uStatus) {
        this.uStatus = uStatus;
    }
}
