package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 资源（如前台某个菜单）
 * </p>
 *
 * @author root
 * @since 2020-12-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_resource")
@ApiModel(value="SysResource对象", description="资源（如前台某个菜单）")
public class SysResource implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "se_id", type = IdType.AUTO)
    private Integer seId;

    @ApiModelProperty(value = "名称")
    @TableField("se_name")
    private String seName;

    @ApiModelProperty(value = "编码")
    @TableField("se_code")
    private String seCode;

    @ApiModelProperty(value = "按钮（页面要权限控制的按钮,也是后台接口方法名）")
    @TableField("se_button")
    private String seButton;

    @ApiModelProperty(value = "权限API路径匹配(注：即后台控制器名，后面带authority,或者authority_button(对应button字段)代表受权限控制)")
    @TableField("se_url_pattern")
    private String seUrlPattern;

    @TableField("se_parent_id")
    private Integer seParentId;

    @ApiModelProperty(value = "项目id")
    @TableField("se_project_id")
    private Long seProjectId;

    @ApiModelProperty(value = "创建人")
    @TableField("se_create_by")
    private String seCreateBy;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("se_create_time")
    private Date seCreateTime;

    @ApiModelProperty(value = "更新人")
    @TableField("se_update_by")
    private String seUpdateBy;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("se_update_time")
    private Date seUpdateTime;

    @ApiModelProperty(value = "是否有效(0无效，1有效)")
    @TableField("se_is_enabled")
    private Integer seIsEnabled;

    @ApiModelProperty(value = "备注")
    @TableField("se_remark")
    private String seRemark;


}
