package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 角色
 * </p>
 *
 * @author root
 * @since 2020-12-01
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_role")
@ApiModel(value="SysRole对象", description="角色")
public class SysRole implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "r_id", type = IdType.AUTO)
    private Integer rId;

    @ApiModelProperty(value = "名称")
    @TableField("r_name")
    private String rName;

    @ApiModelProperty(value = "编码")
    @TableField("r_code")
    private String rCode;

    @ApiModelProperty(value = "项目id")
    @TableField("r_project_id")
    private Long rProjectId;

    @ApiModelProperty(value = "创建人")
    @TableField("r_create_by")
    private String rCreateBy;

    @ApiModelProperty(value = "创建时间")
    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("r_create_time")
    private Date rCreateTime;

    @ApiModelProperty(value = "更新人")
    @TableField("r_update_by")
    private String rUpdateBy;

    @ApiModelProperty(value = "更新时间")
    @JsonFormat(shape=JsonFormat.Shape.STRING,pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    @TableField("r_update_time")
    private Date rUpdateTime;

    @ApiModelProperty(value = "是否有效(0无效，1有效)")
    @TableField("r_is_enabled")
    private Integer rIsEnabled;

    @ApiModelProperty(value = "备注")
    @TableField("r_remark")
    private String rRemark;

    @ApiModelProperty(value = "资源id，多个使用‘,’号隔开")
    @TableField(exist = false)
    private String resourceCodes;

    public Date getrCreateTime() {
        return rCreateTime;
    }

    public void setrCreateTime(Date rCreateTime) {
        this.rCreateTime = rCreateTime;
    }

    public Date getrUpdateTime() {
        return rUpdateTime;
    }

    public void setrUpdateTime(Date rUpdateTime) {
        this.rUpdateTime = rUpdateTime;
    }
}
