package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableName;
import com.baomidou.mybatisplus.annotation.IdType;
import java.util.Date;
import com.baomidou.mybatisplus.annotation.TableId;
import com.baomidou.mybatisplus.annotation.TableField;
import java.io.Serializable;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author root
 * @since 2020-12-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@TableName("sys_user")
@ApiModel(value="SysUser对象", description="用户表")
public class SysUser implements Serializable {

    private static final long serialVersionUID = 1L;

    @TableId(value = "u_id", type = IdType.AUTO)
    private Integer uId;

    @ApiModelProperty(value = "用户名")
    @TableField("u_name")
    private String uName;

    @ApiModelProperty(value = "人员名称")
    @TableField("personnel_name")
    private String personnelName;

    @ApiModelProperty(value = "人员id必填")
    @TableField("personnel_id")
    private Integer personnelId;

    @ApiModelProperty(value = "用于区分登录跳转那个页面（1.分公司领导首页 2.库主任及以上领导首页 3.员工首页）必填项")
    @TableField("home_type")
    private Integer homeType;

    @ApiModelProperty(value = "密码")
    @TableField("u_password")
    private String uPassword;

    @ApiModelProperty(value = "创建人")
    @TableField("create_people")
    private String createPeople;

    @ApiModelProperty(value = "'用户状态（1：正常，2：异常，3：禁用）'")
    @TableField("u_status")
    private Integer uStatus;

    @ApiModelProperty(value = "创建时间")
    @TableField("u_create_time")
    private Date uCreateTime;

    @ApiModelProperty(value = "更新时间")
    @TableField("u_update_time")
    private Date uUpdateTime;

    @ApiModelProperty(value = "备注")
    @TableField("u_remark")
    private String uRemark;

    @ApiModelProperty(value = "仓房id，多个使用‘,’号隔开")
    @TableField(exist = false)
    private String storehouseIds;

    @ApiModelProperty(value = "仓房名称，多个使用‘,’号隔开")
    @TableField(exist = false)
    private String storehouseNames;

    @ApiModelProperty(value = "角色id，多个使用‘,’号隔开")
    @TableField(exist = false)
    private String roleIds;

    public String getStorehouseIds() {
        return storehouseIds;
    }

    public void setStorehouseIds(String storehouseIds) {
        this.storehouseIds = storehouseIds;
    }

    public String getRoleIds() {
        return roleIds;
    }

    public void setRoleIds(String roleIds) {
        this.roleIds = roleIds;
    }

    public Integer getuId() {
        return uId;
    }

    public void setuId(Integer uId) {
        this.uId = uId;
    }

    public String getuName() {
        return uName;
    }

    public void setuName(String uName) {
        this.uName = uName;
    }

    public String getPersonnelName() {
        return personnelName;
    }

    public void setPersonnelName(String personnelName) {
        this.personnelName = personnelName;
    }

    public Integer getPersonnelId() {
        return personnelId;
    }

    public void setPersonnelId(Integer personnelId) {
        this.personnelId = personnelId;
    }

    public String getuPassword() {
        return uPassword;
    }

    public void setuPassword(String uPassword) {
        this.uPassword = uPassword;
    }

    public String getCreatePeople() {
        return createPeople;
    }

    public void setCreatePeople(String createPeople) {
        this.createPeople = createPeople;
    }

    public Date getuCreateTime() {
        return uCreateTime;
    }

    public void setuCreateTime(Date uCreateTime) {
        this.uCreateTime = uCreateTime;
    }

    public Date getuUpdateTime() {
        return uUpdateTime;
    }

    public void setuUpdateTime(Date uUpdateTime) {
        this.uUpdateTime = uUpdateTime;
    }

    public String getuRemark() {
        return uRemark;
    }

    public void setuRemark(String uRemark) {
        this.uRemark = uRemark;
    }
}
