package com.unissoft.model;

import com.baomidou.mybatisplus.annotation.TableField;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;
import lombok.EqualsAndHashCode;

import java.io.Serializable;

/**
 * <p>
 * 用户表
 * </p>
 *
 * @author root
 * @since 2020-12-02
 */
@Data
@EqualsAndHashCode(callSuper = false)
@ApiModel(value="SysUserPO对象", description="用户列表信息")
public class SysUserPO implements Serializable {

    private static final long serialVersionUID = 1L;

    private Integer uId;

    @ApiModelProperty(value = "用户名")
    private String uName;

    @ApiModelProperty(value = "用于区分登录跳转那个页面（1.分公司领导首页 2.库主任及以上领导首页 3.员工首页）必填项")
    private Integer homeType;

    @ApiModelProperty(value = "人员名称(姓名)")
    private String personnelName;

    @ApiModelProperty(value = "人员id必填")
    private Integer personnelId;

    @ApiModelProperty(value = "电话")
    private String uPhone;

    @ApiModelProperty(value = "岗位（职务）")
    private String pPost;

    @ApiModelProperty(value = "用户状态（1：正常，2：异常，3：禁用）")
    private Integer uStatus;

    @ApiModelProperty(value = "头像地址")
    private String pHeadPortrait;

    @ApiModelProperty(value = "所属库id")
    private Integer depotId;

    @ApiModelProperty(value = "所属库名称")
    private String depotName;

    @ApiModelProperty(value = "仓房id，多个使用‘,’号隔开")
    private String storehouseIds;

    @ApiModelProperty(value = "仓房名称，多个使用‘,’号隔开")
    private String storehouseNames;

    @ApiModelProperty(value = "角色id，多个使用‘,’号隔开")
    private String roleIds;

    @ApiModelProperty(value = "角色名称，多个使用‘,’号隔开")
    private String roleName;

    @ApiModelProperty(value = "所属公司id")
    private Integer companyId;

    @ApiModelProperty(value = "所属公司名称")
    private String companyName;

    @ApiModelProperty(value = "所属部门id")
    private Integer departmentId;

    @ApiModelProperty(value = "所属部门名称")
    private String departmentName;

    @ApiModelProperty(value = "库级别，1代表分库")
    private Integer libraryLevel;

    @ApiModelProperty(value = "备用字段1 alternate_fields_one(当前用于表示是否为库外管理人员1代表是库外保管人员)")
    private String alternateFieldsOne;

    @ApiModelProperty(value = "备用字段 alternate_fields_two(Android用户登录存储唯一设备码)")
    private String alternateFieldsTwo;
}
