package com.unissoft.scheduled;

import com.alibaba.fastjson.JSONArray;
import com.unissoft.MyConstant;
import com.unissoft.model.SysLog;
import com.unissoft.service.SysLogService;
import com.unissoft.utils.RedisUtil;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.scheduling.annotation.Scheduled;
import org.springframework.stereotype.Component;

import java.util.List;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2021年01月21日 16:46
 */
@Component
public class SysLogSave {

    @Autowired
    private SysLogService logService;

    @Autowired
    private RedisUtil redisUtil;

    //    @Scheduled(cron = "0 0 */1 * * ?")
    @Scheduled(cron = "0 */25 * * * ?")
    public void saveSysLog() {
        //获取元素,每小时执行一次
        List<Object> objects = redisUtil.lGet(MyConstant.REDIS_LOGS, MyConstant.ZERO, MyConstant.NEGATIVE_ONE);
        List<SysLog> logs = JSONArray.parseArray(objects.toString(), SysLog.class);
        //保存到数据库
        logService.saveBatch(logs);
        //删除元素
        redisUtil.del(MyConstant.REDIS_LOGS);
    }

}
