package com.unissoft.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.BasicsDepot;
import com.unissoft.model.BasicsDepotAL;
import com.unissoft.model.BasicsDepotPO;
import com.unissoft.result.PageParam;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author root
 * @since 2020-12-03
 */
public interface BasicsDepotService extends IService<BasicsDepot> {
    IPage<BasicsDepot> getPage(PageParam pageParam);

    ArrayList<HashMap<String, String>> getDepotAll(Integer depotId);

    List<BasicsDepotPO> getAll(Integer depotId);

    List<BasicsDepotPO> getAllC(Integer depotId);

    List<BasicsDepotPO> getByHomeTypeAllC(Integer depotId, Integer homeType, String cfIds, Integer type);

    List<BasicsDepotPO> getAllC(Integer depotId, String cfIds);

    Map<Integer, String> getAllMAP(Integer depotId);

    Map<Integer, String> getAllDirectDepot();

    void uploadFiles(MultipartFile[] files, Integer depotId, String remarks) throws Exception;

    void saveDepot(BasicsDepot model);

    void update(BasicsDepot model);

    void deleteById(Integer id);

    void getCreateMenu(List<BasicsDepotPO> dmenu, List<BasicsDepotPO> warehouseAll);

    List<BasicsDepot> getAllDepot();

    /**
     * 查询所有粮库经纬度
     * 分公司 返回所有,市级 返回 直属库+分库 或 分库 ,分库返回 分库条件p_belonging=1
     *
     * @param homeType 区分人员(1.分公司领导首页 2.库主任及以上领导首页 3.员工首页)
     * @param depotId  库id
     * @return
     */
    List<BasicsDepotAL> getAllLONAndLAT(Integer homeType, Integer depotId);
}
