package com.unissoft.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.SysPersonnel;
import com.unissoft.model.SysPersonnelPO;
import com.unissoft.result.PageParam;
import org.springframework.web.multipart.MultipartFile;

import java.util.ArrayList;
import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 服务类
 * </p>
 *
 * @author root
 * @since 2020-12-01
 */
public interface SysPersonnelService extends IService<SysPersonnel> {
    Page<SysPersonnel> getPage(PageParam pageParam);

    Map<String, Object> getByDepartmentPage(PageParam pageParam);

    SysPersonnel getByWarehouseId(Integer depotId, Integer warehouseId);

    ArrayList<HashMap<String, String>> getAll(int depotId);

    HashMap<Integer, String> getDepotIdAll(int depotId);

    String uploadFile(MultipartFile file, Integer userId) throws Exception;

    ArrayList<HashMap<String, String>> getByDepotIdAndRoleId(Integer depotID, Integer roleID);

    List<SysPersonnelPO> getByDepotId(Integer id);

    void updateByPerId(Integer id, Integer mType, Integer method);

    void updateByIdType(Integer id, String mType);
}
