package com.unissoft.service;

import com.baomidou.mybatisplus.core.metadata.IPage;
import com.baomidou.mybatisplus.extension.service.IService;
import com.unissoft.model.SysUser;
import com.unissoft.model.SysUserDTO;
import com.unissoft.model.SysUserPO;
import com.unissoft.result.PageParam;
import com.unissoft.result.ResultView;

import java.util.HashMap;
import java.util.List;
import java.util.Map;

/**
 * <p>
 * 用户表 服务类
 * </p>
 *
 * @author wsm
 * @since 2020-11-25
 */
public interface SysUserService extends IService<SysUser> {
    IPage<SysUserPO> getPage(PageParam pageParam);

    SysUserPO getByUserId(Integer id);

    //登录
    ResultView login(String body);

    ResultView logout(String token, String personnelId);

    //刷新服务权限
    void loadResourceDefine();

    //注册
    void register(String body);

    void add(SysUser model);

    void update(SysUser model);

    void deleteById(int id, int status);

    Integer getByUserName(String userName);

    Integer getIfPassword(int id, String password);

    Map<Integer, String> getNoticeUserInfo(Integer depotId, String recvType, String recvDetails);

    List<SysUser> getUsersByRoleIds(Integer depotId, String roleIds);

    Map<Integer, String> getAll(Integer depotId);

    Map<String, List<SysUser>> getRoleIdAll(String roleIds, Integer depotId);

    HashMap<Integer, SysUserDTO> getByUserAll();
}
