package com.unissoft.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.mapper.BasicsDepotExtendMapper;
import com.unissoft.model.BasicsDepotExtend;
import com.unissoft.service.BasicsDepotExtendService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.List;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author root
 * @since 2020-12-07
 */
@Service
public class BasicsDepotExtendServiceImpl extends ServiceImpl<BasicsDepotExtendMapper, BasicsDepotExtend> implements BasicsDepotExtendService {

    @Autowired
    private BasicsDepotExtendMapper depotExtendMapper;

    @Override
    public List<BasicsDepotExtend> getByDepotId(Integer depotId) {
        QueryWrapper<BasicsDepotExtend> qw = new QueryWrapper<>();
        qw.eq("depot_id", depotId);
        List<BasicsDepotExtend> basicsDepotExtends = depotExtendMapper.selectList(qw);
        return basicsDepotExtends;
    }

    @Override
    public void removeByDepotId(Integer depotId) {
        QueryWrapper<BasicsDepotExtend> qw = new QueryWrapper<>();
        qw.eq("depot_id", depotId);
        depotExtendMapper.delete(qw);
    }
}
