package com.unissoft.service.impl;

import com.unissoft.MyConstant;
import com.unissoft.model.BasicsDepot;
import com.unissoft.service.BasicsDepotService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

import java.util.ArrayList;
import java.util.List;

/**
 * 文件描述
 *
 * @author tongxi.xia
 * @date 2020年12月30日 10:09
 */
@Service
public class BasicsDepotServiceRecursion {

    @Autowired
    private BasicsDepotService depotService;

    /**
     * 获取库点自己和所有子集id集合
     * @param depotId 库点id
     * @return 库点id集合
     */
    public List<Integer> getAllDepotChild(Integer depotId) {
        if (depotId == null) {
            //默认是顶级
            depotId = MyConstant.ONE;
        }
        List<BasicsDepot> depotAll = depotService.getAllDepot();
        List<Integer> menu = createMenu(depotAll, depotId);
        return menu;
    }

    private List<Integer> createMenu(List<BasicsDepot> mp01_menus, Integer depotId) {
        ArrayList<Integer> rootMenu = new ArrayList<>();
        ArrayList<Integer> rootMenu2 = new ArrayList<>();

        //查询根节点数据
        for (BasicsDepot menu : mp01_menus) {
            if (menu.getDId() == depotId) {
                rootMenu.add(menu.getDId());
                rootMenu2.add(menu.getDId());
            }
        }
        //获取根节点下的子节点
        for (Integer menu : rootMenu) {
            List<Integer> child = getChild(menu, mp01_menus);
            if (child != null) {
                rootMenu2.addAll(child);
            }
        }
        return rootMenu2;
    }

    private List<Integer> getChild(Integer menuid, List<BasicsDepot> allmp01_menus) {
        //存放子菜单的集合
        ArrayList<Integer> listChild = new ArrayList<>();
        ArrayList<Integer> listChild2 = new ArrayList<>();
        for (BasicsDepot menu : allmp01_menus) {
            if (menu.getParentId().equals(menuid)) {
                listChild.add(menu.getDId());
                listChild2.add(menu.getDId());
            }
        }
        //递归：
        for (Integer menu : listChild) {
            List<Integer> child = getChild(menu, allmp01_menus);
            if (child != null) {
                listChild2.addAll(child);
            }
        }
        if (listChild.size() == 0) {
            return null;
        }
        return listChild2;
    }
}
