package com.unissoft.service.impl;

import com.baomidou.mybatisplus.core.conditions.query.QueryWrapper;
import com.baomidou.mybatisplus.extension.service.impl.ServiceImpl;
import com.unissoft.MyConstant;
import com.unissoft.mapper.BasicsUserWarehouseMapper;
import com.unissoft.model.BasicsUserWarehouse;
import com.unissoft.service.BasicsUserWarehouseService;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.stereotype.Service;

/**
 * <p>
 * 服务实现类
 * </p>
 *
 * @author root
 * @since 2021-01-07
 */
@Service
public class BasicsUserWarehouseServiceImpl extends ServiceImpl<BasicsUserWarehouseMapper, BasicsUserWarehouse> implements BasicsUserWarehouseService {

    @Autowired
    private BasicsUserWarehouseMapper userWarehouseMapper;

    @Override
    public void removeCF(Integer cfId, Integer personnelId) {
        QueryWrapper<BasicsUserWarehouse> qwcf = new QueryWrapper<>();
        if (cfId != null) {
            //删除关联信息保管员角色的数据
            qwcf.eq("warehouse_id", cfId);
            qwcf.eq("role_id", MyConstant.THIRTY);
        } else if (personnelId != null) {
            qwcf.eq("personnel_id", personnelId);
        }
        userWarehouseMapper.delete(qwcf);
    }
}
